.TH xnetanal 1 
.SH Name
xnetanal\- Network Packet Analyzer for the X Window System
.SH Syntax
xnetanal [
.I -toolkitoptions ....
] 
.SH Description
View and analyse packets which were sampled with the xnetsampler
program.

There is a filename box where a filename of sampled data can be 
entered.  If the field is left blank the default file of
.I
datasampled
is used.  If the file can't be found or opened a blank packet
of 00's are used.

The top section displays the packets in a brief form giving the
hardware address, in human form if possible, the packet type
and source/dest port number if applicable.  The "selected" packet
is the packet with the caret in it.

The middle section displays the selected packet from the top section in
detail.  It breaks the packet down into each of the sections in it.  
It displays the breakdown of each item in a human form if 
possible.  At the end it displays the actual data that was sent,
if applicable.

The bottom section contains the full packet in its hex code and
ASCII equivalent.
.SH ENHANCEMENTS 
Allow the user to search for a word or phrase in the data, and pull
up all packets that match.
.SH Files
 ./datasampled
.SH See Also
packetfilter(4), pfopen(3), pfconfig(1),
.br
xnetgraph, xnetsampler, By James Jegers, jimj@cs.uwm.edu
